
@mixin pokemon-average-card($margin) {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    row-gap: 3px;
    padding: 35px 0;
    margin-left: $margin;
    margin-right: $margin;
}

@mixin section-pokemon-average($wgrid, $margin, $align, $gap, $mwidth, $fz-h4,$fz-p ) {
    grid-template-rows: repeat(3, $wgrid);
    margin: $margin;
    align-content: $align;
    row-gap: $gap;
    min-width: $mwidth;

    & h4 {
        font-size: $fz-h4;
    }
    
    & p {
        font-size: $fz-p;
    }
}

@mixin footer-pokemon($gap, $width) {
    &--grid {
        column-gap: $gap;
    }

    &__image {
        width: $width;
    }
    
}

@mixin main-alignment {
    justify-content: center;
    gap: 5em;
}

@mixin usegrid($display, $column1, $column2, $justify: start ) {
    display: $display;
    grid-template-columns: $column1 $column2;
    justify-content: $justify;
}

@mixin image-transform {
    -webkit-transform:scale(1.3);
    transform:scale(1.3);
    transition: all 0.9s ease;
}

